#ifndef __DS18S20_h__
#define __DS18S20_h__

#include "DS18S20-config.h"

#ifndef DS_PORT
#error DS_PROT must be defined
#endif

#ifndef DS_BIT
#error DS_BIT must be defined
#endif

#ifndef DS_RETURNRESULTS
#define DS_RETURNRESULTS    1
#endif

#if DS_RETURNRESULTS
#define DS_RETURNTYPE unsigned char
#else
#define DS_RETURNTYPE void
#endif

DS_RETURNTYPE ds_readSerial(unsigned char *buffer);
DS_RETURNTYPE ds_convert(void);
DS_RETURNTYPE ds_readScratchpad(unsigned char *buffer);

#endif
